<html>
<head>
<title>OGRE: Ogre::InstancedGeometry::MaterialBucket Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>::<a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html">MaterialBucket</a></div>
<h1>Ogre::InstancedGeometry::MaterialBucket Class Reference</h1><!-- doxytag: class="Ogre::InstancedGeometry::MaterialBucket" -->A <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD).  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1InstancedGeometry_1_1MaterialBucket-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">GeometryBucketList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">list of Geometry Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a>  <a href="#a7230ed1080d3cd11845829f312a02aa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <br>
<a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br>
&lt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">GeometryBucketList</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#cb7aa4e729032365115e8f4a6fc27d23">GeometryIterator</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Iterator over geometry.  <a href="#cb7aa4e729032365115e8f4a6fc27d23"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#5f10bcd6548e3d203c56479882ad600b">MaterialBucket</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a> *parent, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;materialName)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#35d8863f6689c109dfeea0110c6151e4">~MaterialBucket</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#f4a57731ec8f8b3268055f0751e1aa95">getParent</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#d0d79b15230bb1d6cec195733c92e286">getMaterialName</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the material name.  <a href="#d0d79b15230bb1d6cec195733c92e286"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#9a2e358c68d9ad1d83b137024ec310f6">assign</a> (<a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html">QueuedGeometry</a> *qsm)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Assign geometry to this bucket.  <a href="#9a2e358c68d9ad1d83b137024ec310f6"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#80d29ec722226dfd0e861ad6ffdd60b3">build</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Build.  <a href="#80d29ec722226dfd0e861ad6ffdd60b3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#09b10b1710389e2f1858ff9a6e9c939f">addRenderables</a> (<a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue, <a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> group, <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> camSquaredDist)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add children to the render queue.  <a href="#09b10b1710389e2f1858ff9a6e9c939f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#7b0e0cf78314610cac9d12f609a97051">getMaterial</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the material for this bucket.  <a href="#7b0e0cf78314610cac9d12f609a97051"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1VectorIterator.html">GeometryIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#0f41eb2270de136057f11d9174964561">getGeometryIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get an iterator over the contained geometry.  <a href="#0f41eb2270de136057f11d9174964561"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#f2867e1be4278a17b9156610f5ce96a8">getCurrentTechnique</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the current <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>.  <a href="#f2867e1be4278a17b9156610f5ce96a8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#def653a7b45c37d6cf9a64e77d954313">dump</a> (std::ofstream &amp;of) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Dump contents for diagnostics.  <a href="#def653a7b45c37d6cf9a64e77d954313"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#e570e993195aa5c80a80522f96bd0f65">MaterialBucket::CurrentGeometryMap</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#aebed9f61bb0de673dd6b08fac08b708">getMaterialBucketMap</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the geometry map.  <a href="#aebed9f61bb0de673dd6b08fac08b708"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">MaterialBucket::GeometryBucketList</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#87942b01517f144000ed7de94a489f09">getGeometryBucketList</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return the geometry list.  <a href="#87942b01517f144000ed7de94a489f09"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#39b21d1642232f58a04a0ee5ee6a5c65">updateContainers</a> (<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> *bucket, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;format)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">fill in the map and the list  <a href="#39b21d1642232f58a04a0ee5ee6a5c65"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#6479a981782ef9751c9351e848fc7651">setLastIndex</a> (int index)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#85de6860784259691402b488e6ab08f0">getLastIndex</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#583a8286a42b50dadc895f2b2d8b9c5f">setMaterial</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#e570e993195aa5c80a80522f96bd0f65">CurrentGeometryMap</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#7474f328d0f531b779ae669569680d8e">getGeometryFormatString</a> (<a class="el" href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *geom)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get a packed string identifying the geometry format.  <a href="#7474f328d0f531b779ae669569680d8e"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#073b176d881a1bd07da668bc455920e8">mParent</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to parent <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a>.  <a href="#073b176d881a1bd07da668bc455920e8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#2e982f99fae8c3e18f79ce8a815b7212">mMaterialName</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being used.  <a href="#2e982f99fae8c3e18f79ce8a815b7212"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#4fb67876925cd7d276b6762c9b32a36a">mMaterial</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to material being used.  <a href="#4fb67876925cd7d276b6762c9b32a36a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Technique.html">Technique</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#57be70b56e186209e9bb0ce1f546ac78">mTechnique</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Active technique.  <a href="#57be70b56e186209e9bb0ce1f546ac78"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a798f54112a46649c99b38505903522f">mLastIndex</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">GeometryBucketList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#076bd8cb1dd52a1241efa09d99a07adb">mGeometryBucketList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">list of Geometry Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a>  <a href="#076bd8cb1dd52a1241efa09d99a07adb"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#e570e993195aa5c80a80522f96bd0f65">CurrentGeometryMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#2b41d2a797dfed7facaa6c93a1d75a6e">mCurrentGeometryMap</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html" title="A MaterialBucket is a collection of smaller buckets with the same Material (and implicitly...">MaterialBucket</a> is a collection of smaller buckets with the same <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> (and implicitly the same LOD). 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00299">299</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="a7230ed1080d3cd11845829f312a02aa"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::GeometryBucketList" ref="a7230ed1080d3cd11845829f312a02aa" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">Ogre::InstancedGeometry::MaterialBucket::GeometryBucketList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
list of Geometry Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a> 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00303">303</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e570e993195aa5c80a80522f96bd0f65"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::CurrentGeometryMap" ref="e570e993195aa5c80a80522f96bd0f65" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a>*&gt; <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#e570e993195aa5c80a80522f96bd0f65">Ogre::InstancedGeometry::MaterialBucket::CurrentGeometryMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00317">317</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cb7aa4e729032365115e8f4a6fc27d23"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::GeometryIterator" ref="cb7aa4e729032365115e8f4a6fc27d23" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">GeometryBucketList</a>&gt; <a class="el" href="classOgre_1_1VectorIterator.html">Ogre::InstancedGeometry::MaterialBucket::GeometryIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Iterator over geometry. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00338">338</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="5f10bcd6548e3d203c56479882ad600b"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::MaterialBucket" ref="5f10bcd6548e3d203c56479882ad600b" args="(LODBucket *parent, const String &amp;materialName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::InstancedGeometry::MaterialBucket::MaterialBucket           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a> *&nbsp;</td>
          <td class="paramname"> <em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>materialName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="35d8863f6689c109dfeea0110c6151e4"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::~MaterialBucket" ref="35d8863f6689c109dfeea0110c6151e4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::InstancedGeometry::MaterialBucket::~MaterialBucket           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="7474f328d0f531b779ae669569680d8e"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getGeometryFormatString" ref="7474f328d0f531b779ae669569680d8e" args="(SubMeshLodGeometryLink *geom)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> Ogre::InstancedGeometry::MaterialBucket::getGeometryFormatString           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1InstancedGeometry_1_1SubMeshLodGeometryLink.html">SubMeshLodGeometryLink</a> *&nbsp;</td>
          <td class="paramname"> <em>geom</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get a packed string identifying the geometry format. 
<p>

</div>
</div><p>
<a class="anchor" name="f4a57731ec8f8b3268055f0751e1aa95"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getParent" ref="f4a57731ec8f8b3268055f0751e1aa95" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a>* Ogre::InstancedGeometry::MaterialBucket::getParent           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00325">325</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d0d79b15230bb1d6cec195733c92e286"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getMaterialName" ref="d0d79b15230bb1d6cec195733c92e286" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::InstancedGeometry::MaterialBucket::getMaterialName           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the material name. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00327">327</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9a2e358c68d9ad1d83b137024ec310f6"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::assign" ref="9a2e358c68d9ad1d83b137024ec310f6" args="(QueuedGeometry *qsm)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::MaterialBucket::assign           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1InstancedGeometry_1_1QueuedGeometry.html">QueuedGeometry</a> *&nbsp;</td>
          <td class="paramname"> <em>qsm</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Assign geometry to this bucket. 
<p>

</div>
</div><p>
<a class="anchor" name="80d29ec722226dfd0e861ad6ffdd60b3"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::build" ref="80d29ec722226dfd0e861ad6ffdd60b3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::MaterialBucket::build           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Build. 
<p>

</div>
</div><p>
<a class="anchor" name="09b10b1710389e2f1858ff9a6e9c939f"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::addRenderables" ref="09b10b1710389e2f1858ff9a6e9c939f" args="(RenderQueue *queue, uint8 group, Real camSquaredDist)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::MaterialBucket::addRenderables           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&nbsp;</td>
          <td class="paramname"> <em>queue</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td>
          <td class="paramname"> <em>camSquaredDist</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add children to the render queue. 
<p>

</div>
</div><p>
<a class="anchor" name="7b0e0cf78314610cac9d12f609a97051"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getMaterial" ref="7b0e0cf78314610cac9d12f609a97051" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a>&amp; Ogre::InstancedGeometry::MaterialBucket::getMaterial           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the material for this bucket. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00336">336</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="0f41eb2270de136057f11d9174964561"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getGeometryIterator" ref="0f41eb2270de136057f11d9174964561" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1VectorIterator.html">GeometryIterator</a> Ogre::InstancedGeometry::MaterialBucket::getGeometryIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get an iterator over the contained geometry. 
<p>

</div>
</div><p>
<a class="anchor" name="f2867e1be4278a17b9156610f5ce96a8"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getCurrentTechnique" ref="f2867e1be4278a17b9156610f5ce96a8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* Ogre::InstancedGeometry::MaterialBucket::getCurrentTechnique           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the current <a class="el" href="classOgre_1_1Technique.html" title="Class representing an approach to rendering this particular Material.">Technique</a>. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00342">342</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="def653a7b45c37d6cf9a64e77d954313"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::dump" ref="def653a7b45c37d6cf9a64e77d954313" args="(std::ofstream &amp;of) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::MaterialBucket::dump           </td>
          <td>(</td>
          <td class="paramtype">std::ofstream &amp;&nbsp;</td>
          <td class="paramname"> <em>of</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Dump contents for diagnostics. 
<p>

</div>
</div><p>
<a class="anchor" name="aebed9f61bb0de673dd6b08fac08b708"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getMaterialBucketMap" ref="aebed9f61bb0de673dd6b08fac08b708" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#e570e993195aa5c80a80522f96bd0f65">MaterialBucket::CurrentGeometryMap</a>* Ogre::InstancedGeometry::MaterialBucket::getMaterialBucketMap           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the geometry map. 
<p>

</div>
</div><p>
<a class="anchor" name="87942b01517f144000ed7de94a489f09"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getGeometryBucketList" ref="87942b01517f144000ed7de94a489f09" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">MaterialBucket::GeometryBucketList</a>* Ogre::InstancedGeometry::MaterialBucket::getGeometryBucketList           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Return the geometry list. 
<p>

</div>
</div><p>
<a class="anchor" name="39b21d1642232f58a04a0ee5ee6a5c65"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::updateContainers" ref="39b21d1642232f58a04a0ee5ee6a5c65" args="(GeometryBucket *bucket, const String &amp;format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::MaterialBucket::updateContainers           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html">GeometryBucket</a> *&nbsp;</td>
          <td class="paramname"> <em>bucket</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>format</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
fill in the map and the list 
<p>

</div>
</div><p>
<a class="anchor" name="6479a981782ef9751c9351e848fc7651"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::setLastIndex" ref="6479a981782ef9751c9351e848fc7651" args="(int index)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::MaterialBucket::setLastIndex           </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>index</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00351">351</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="85de6860784259691402b488e6ab08f0"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::getLastIndex" ref="85de6860784259691402b488e6ab08f0" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Ogre::InstancedGeometry::MaterialBucket::getLastIndex           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00352">352</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="583a8286a42b50dadc895f2b2d8b9c5f"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::setMaterial" ref="583a8286a42b50dadc895f2b2d8b9c5f" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::InstancedGeometry::MaterialBucket::setMaterial           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="073b176d881a1bd07da668bc455920e8"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mParent" ref="073b176d881a1bd07da668bc455920e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html">LODBucket</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#073b176d881a1bd07da668bc455920e8">Ogre::InstancedGeometry::MaterialBucket::mParent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to parent <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html" title="A LODBucket is a collection of smaller buckets with the same LOD.">LODBucket</a>. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00306">306</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2e982f99fae8c3e18f79ce8a815b7212"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mMaterialName" ref="2e982f99fae8c3e18f79ce8a815b7212" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#2e982f99fae8c3e18f79ce8a815b7212">Ogre::InstancedGeometry::MaterialBucket::mMaterialName</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> being used. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00308">308</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4fb67876925cd7d276b6762c9b32a36a"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mMaterial" ref="4fb67876925cd7d276b6762c9b32a36a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialPtr.html">MaterialPtr</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#4fb67876925cd7d276b6762c9b32a36a">Ogre::InstancedGeometry::MaterialBucket::mMaterial</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to material being used. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00310">310</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="57be70b56e186209e9bb0ce1f546ac78"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mTechnique" ref="57be70b56e186209e9bb0ce1f546ac78" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Technique.html">Technique</a>* <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#57be70b56e186209e9bb0ce1f546ac78">Ogre::InstancedGeometry::MaterialBucket::mTechnique</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Active technique. 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00312">312</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a798f54112a46649c99b38505903522f"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mLastIndex" ref="a798f54112a46649c99b38505903522f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a798f54112a46649c99b38505903522f">Ogre::InstancedGeometry::MaterialBucket::mLastIndex</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00313">313</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="076bd8cb1dd52a1241efa09d99a07adb"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mGeometryBucketList" ref="076bd8cb1dd52a1241efa09d99a07adb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#a7230ed1080d3cd11845829f312a02aa">GeometryBucketList</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#076bd8cb1dd52a1241efa09d99a07adb">Ogre::InstancedGeometry::MaterialBucket::mGeometryBucketList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
list of Geometry Buckets in this <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html" title="The details of a topological BatchInstance which is the highest level of partitioning...">BatchInstance</a> 
<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00315">315</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2b41d2a797dfed7facaa6c93a1d75a6e"></a><!-- doxytag: member="Ogre::InstancedGeometry::MaterialBucket::mCurrentGeometryMap" ref="2b41d2a797dfed7facaa6c93a1d75a6e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#e570e993195aa5c80a80522f96bd0f65">CurrentGeometryMap</a> <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#2b41d2a797dfed7facaa6c93a1d75a6e">Ogre::InstancedGeometry::MaterialBucket::mCurrentGeometryMap</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreInstancedGeometry_8h-source.html#l00318">318</a> of file <a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreInstancedGeometry_8h-source.html">OgreInstancedGeometry.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:11 2008
</p>
</body>
</html>
